System Brand Settings
1 API call in this section.
Update Brand Settings
/system-brand-settings/:idUpdate system brand settings. Requires system admin access. All fields are optional but must match their expected data types.
Validation Rules
brand_namemust be a JSONB objectassetsmust be a JSONB objectcolorsmust be a JSONB objectconfigurationsmust be a JSONB objectlanding_pagemust be a JSONB objectis_activemust be a booleandefault_preset_idmust be a string
Path parameters
| Parameter | Type | Description |
|---|---|---|
idRequired | string | ID of the system brand settings to update |
Query parameters
| Parameter | Type | Description |
|---|---|---|
languageOptional | string | Language code for response localization (Optional, default: en) Language code for localized response messages ( Example: |
Headers
| Parameter | Type | Description |
|---|---|---|
AuthorizationRequired | string | Bearer token for authentication (required) Example: |
Content-TypeRequired | string | application/json (required) Example: |
X-API-Key | string | Alternative authentication method using API key |
Body parameters
| Parameter | Type | Description |
|---|---|---|
brand_nameOptional | object | JSONB object with language keys |
brand_name.en | string | — |
brand_name.ar | string | — |
brand_name.ku | string | — |
landing_pageOptional | object | JSONB object for landing page visibility, hero, docs, quick access, modules, and auth images |
landing_page.book_demo_link | object | — |
landing_page.book_demo_link.visible | boolean | — |
landing_page.hero | object | — |
landing_page.hero.title | string | — |
landing_page.hero.subtitle | string | — |
landing_page.hero.description | string | — |
landing_page.hero.image | string | — |
Show 34 more body fields
Additional body parameters
| Parameter | Type | Description |
|---|---|---|
landing_page.documentation | object | — |
landing_page.documentation.visible | boolean | — |
landing_page.documentation.platform | object | — |
landing_page.documentation.platform.visible | boolean | — |
landing_page.documentation.platform.url | string | — |
landing_page.documentation.api | object | — |
landing_page.documentation.api.visible | boolean | — |
landing_page.documentation.api.url | string | — |
landing_page.quick_access | object | — |
landing_page.quick_access.visible | boolean | — |
landing_page.quick_access.items | array<object> | — |
landing_page.quick_access.items.id | string | — |
landing_page.quick_access.items.visible | boolean | — |
landing_page.quick_access.items.title | string | — |
landing_page.quick_access.items.description | string | — |
landing_page.quick_access.items.image | string | — |
landing_page.quick_access.items.link_text | string | — |
landing_page.quick_access.items.link_url | string | — |
landing_page.modules | object | — |
landing_page.modules.visible | boolean | — |
landing_page.modules.items | array<object> | — |
landing_page.modules.items.id | string | — |
landing_page.modules.items.visible | boolean | — |
landing_page.modules.items.title | string | — |
landing_page.modules.items.description | string | — |
landing_page.auth_images | object | — |
landing_page.auth_images.login | string | — |
landing_page.auth_images.forgot_password | string | — |
configurationsOptional | object | JSONB object for brand configurations |
configurations.theme | string | — |
is_activeOptional | boolean | Boolean value to enable/disable the brand settings |
default_preset_idOptional | string | String value for the default preset ID |
assetsOptional | string | JSONB object for brand assets |
colorsOptional | string | JSONB object for brand colors |
1curl --globoff --request PUT "https://staging-api.ondi.io/functions/v1/system-brand-settings/${ID}?language=en" \2 --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}" \3 --header "Content-Type: application/json" \4 --header "X-API-Key: " \5 --data-raw '{6 "brand_name": {7 "en": "Ondi",8 "ar": "",9 "ku": ""10 },11 "landing_page": {12 "book_demo_link": {13 "visible": true14 },15 "hero": {16 "title": "Ondi",17 "subtitle": "Right on the distribution",18 "description": "Manage e-commerce, restaurant operations, delivery logistics, and more all from a single unified platform.",19 "image": ""20 },21 "documentation": {22 "visible": true,23 "platform": {24 "visible": true,25 "url": "https://docs.ondi.io"26 },27 "api": {28 "visible": true,29 "url": "https://api-docs.ondi.io"30 }31 },32 "quick_access": {33 "visible": true,34 "items": [35 {36 "id": "store-front",37 "visible": true,38 "title": "Store Front",39 "description": "Customer-facing e-commerce storefront",40 "image": "",41 "link_text": "store.ondi.io",42 "link_url": "https://store.ondi.io"43 }44 ]45 },46 "modules": {47 "visible": true,48 "items": [49 {50 "id": "store-front",51 "visible": true,52 "title": "Store front (E-Commerce)",53 "description": "Complete online store solution with product management, inventory, and checkout."54 }55 ]56 },57 "auth_images": {58 "login": "",59 "forgot_password": ""60 }61 },62 "configurations": {63 "theme": "dark"64 },65 "is_active": true,66 "default_preset_id": "preset-123"67}'Other request examples (1)
1{2 "brand_name": {3 "en": "Ondi",4 "ar": "",5 "ku": ""6 },7 "landing_page": {8 "book_demo_link": {9 "visible": true10 },11 "hero": {12 "title": "Ondi",13 "subtitle": "Right on the distribution",14 "description": "Manage e-commerce, restaurant operations, delivery logistics, and more all from a single unified platform.",15 "image": ""16 }17 },18 "configurations": {19 "theme": "dark"20 },21 "is_active": true,22 "default_preset_id": "preset-123"23}Response examples
1{2 "success": true,3 "message": "System brand settings updated successfully",4 "systemBrandSettings": {5 "id": "1",6 "brand_name": {7 "en": "Ondi",8 "ar": "",9 "ku": ""10 },11 "assets": {12 "logo": "new-logo-url",13 "favicon": "new-favicon-url"14 },15 "colors": {16 "primary": "#111111",17 "secondary": "#222222"18 },19 "configurations": {20 "theme": "dark"21 },22 "landing_page": {23 "book_demo_link": {24 "visible": true25 },26 "hero": {27 "title": "Ondi",28 "subtitle": "Right on the distribution",29 "description": "Manage e-commerce, restaurant operations, delivery logistics, and more all from a single unified platform.",30 "image": ""31 },32 "documentation": {33 "visible": true,34 "platform": {35 "visible": true,36 "url": "https://docs.ondi.io"37 },38 "api": {39 "visible": true,40 "url": "https://api-docs.ondi.io"41 }42 },43 "quick_access": {44 "visible": true,45 "items": [46 {47 "id": "store-front",48 "visible": true,49 "title": "Store Front",50 "description": "Customer-facing e-commerce storefront",51 "image": "",52 "link_text": "store.ondi.io",53 "link_url": "https://store.ondi.io"54 }55 ]56 },57 "modules": {58 "visible": true,59 "items": [60 {61 "id": "store-front",62 "visible": true,63 "title": "Store front (E-Commerce)",64 "description": "Complete online store solution with product management, inventory, and checkout."65 }66 ]67 },68 "auth_images": {69 "login": "",70 "forgot_password": ""71 }72 },73 "is_active": true,74 "default_preset_id": "preset-123",75 "created_at": "2023-01-01T00:00:00Z",76 "updated_at": "2023-06-15T12:30:45Z",77 "updated_by": "user-id-123"78 }79}